Module tdlight.api
Package it.tdlight.jni

# Class TdApi.SendAuthenticationFirebaseSms

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Ok>
it.tdlight.jni.TdApi.SendAuthenticationFirebaseSms

Enclosing class:
  TdApi

public static final class TdApi.SendAuthenticationFirebaseSms extends TdApi.Function<TdApi.Ok>
Sends Firebase Authentication SMS to the phone number of the user. Works only when the current authorization state is authorizationStateWaitCode and the server returned code of the type authenticationCodeTypeFirebaseAndroid or authenticationCodeTypeFirebaseIos.

Returns `Ok`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`String`
`token`
SafetyNet Attestation API token for the Android application, or secret from push notification for the iOS application.

## Constructor Summary

Constructors
Constructor
Description
`SendAuthenticationFirebaseSms()`
Sends Firebase Authentication SMS to the phone number of the user.
`SendAuthenticationFirebaseSms(DataInput input)`
Sends Firebase Authentication SMS to the phone number of the user.
`SendAuthenticationFirebaseSms(String token)`
Sends Firebase Authentication SMS to the phone number of the user.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### token

public String token
SafetyNet Attestation API token for the Android application, or secret from push notification for the iOS application.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### SendAuthenticationFirebaseSms

public SendAuthenticationFirebaseSms()
Sends Firebase Authentication SMS to the phone number of the user. Works only when the current authorization state is authorizationStateWaitCode and the server returned code of the type authenticationCodeTypeFirebaseAndroid or authenticationCodeTypeFirebaseIos.

Returns `Ok`

### SendAuthenticationFirebaseSms

public SendAuthenticationFirebaseSms(String token)
Sends Firebase Authentication SMS to the phone number of the user. Works only when the current authorization state is authorizationStateWaitCode and the server returned code of the type authenticationCodeTypeFirebaseAndroid or authenticationCodeTypeFirebaseIos.

Returns `Ok`

Parameters:
  `token` - SafetyNet Attestation API token for the Android application, or secret from push notification for the iOS application.

  Returns `Ok`

### SendAuthenticationFirebaseSms

public SendAuthenticationFirebaseSms(DataInput input) throws IOException
Sends Firebase Authentication SMS to the phone number of the user. Works only when the current authorization state is authorizationStateWaitCode and the server returned code of the type authenticationCodeTypeFirebaseAndroid or authenticationCodeTypeFirebaseIos.

Returns `Ok`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`